from src.management.commands.path import path
from src.models import Graph, Vertex, Arc


def delete_graphs(type_of_graph):
    if type_of_graph == "all":
        Graph.objects.all().delete()
        Vertex.objects.all().delete()
        Arc.objects.all().delete()
    else:
        Graph.objects.filter(graph_type=type_of_graph).delete()
        Vertex.objects.filter(graph__graph_type=type_of_graph).delete()
        Arc.objects.filter(vertex_in__graph__graph_type=type_of_graph).delete()


def count_change(binary_number):
    change = 0
    actual_bit = binary_number[0]

    for bit in binary_number:
        if bit != actual_bit:
            change += 1
            actual_bit = bit
    return change


def create_path(n, binary_number, graph=None):
    if graph:
        return path()
    return print("new path")


def create_cycle(graph=None):
    if graph:
        return print("cycle")
    return print("new cycle")


# def create_tadpole(graph=None):
#     if graph:
#         return print("tadpole")
#     return print("new tadpole")


GRAPHS = {
    Graph.CYCLE: create_cycle,
    Graph.PATH: create_path,
    # Graph.TADPOLE: create_tadpole,
}


# def unite_graph(function, graph=None):
#     if graph:
#         return function(graph)
#     return function()
